# std::filesystem::swap(std::filesystem::path)

From cppreference.com
< cpp‎ | filesystem‎ | path

void swap( path& lhs, path& rhs ); |  | (since C++17)

Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | paths whose states to swap

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### See also

swap | swaps two paths (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/path/swap2&oldid=91699"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template